> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow release events

> Success

### Path parameters

<ParamField path="release_id" type="string (uuid)" required />

### Response

`WorkflowRecipeReleaseEvent[]` — each element:

<ResponseField name="id" type="integer (int64)" required />

<ResponseField name="release_id" type="string (uuid)" required />

<ResponseField name="brand_id" type="string (uuid)" required />

<ResponseField name="event_type" type="string" required />

<ResponseField name="from_status" type="string" />

<ResponseField name="to_status" type="string" required />

<ResponseField name="actor" type="string" required />

<ResponseField name="plan_hash" type="string" required />

<ResponseField name="metadata" type="object" required />

<ResponseField name="occurred_at" type="string (date-time)" required />

### Status codes

| Code  | Meaning          |
| ----- | ---------------- |
| `200` | Success          |
| `400` | Validation error |
| `401` | Unauthorized     |
| `404` | Not found        |
| `429` | Rate limited     |
| `500` | Internal error   |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/workflow-releases/{release_id}/events' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "id": 1,
      "release_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "event_type": "validated",
      "from_status": "string",
      "to_status": "string",
      "actor": "string",
      "plan_hash": "string",
      "metadata": {},
      "occurred_at": "2026-07-24T12:00:00Z"
    }
  ]
  ```
</ResponseExample>
